package com.iohao.mmo.excel.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.iohao.mmo.equip.entity.EquipEntry;
import com.iohao.mmo.excel.entity.DemoExcel;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * 装备词条Excel
 *
 * @author 唐斌
 * @date 2023-08-30
 * @description: 装备词条Excel
 */
public interface EquipEntryExcelService extends BaseService<EquipEntry>{

    @Transactional(rollbackFor = Exception.class)
    void updateBatch(List<EquipEntry> entityList) throws JsonProcessingException;
}
